package mvd.jester;

import mvd.jester.model.SystemSetup;
import mvd.jester.priority.EarliestDeadlineFirst;
import mvd.jester.priority.RateMonotonic;


/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(8);
        TestEnvironment te = new TestEnvironment(builder, 40000);

        te.registerSchedulingAlgorithm(new RateMonotonic());
        te.registerSchedulingAlgorithm(new EarliestDeadlineFirst());

        te.registerTestPair(mvd.jester.tests.MaiaBertogna.class,
                mvd.jester.simulator.MaiaBertogna.class);

        te.registerTestPair(mvd.jester.tests.SchmidMottok.class,
                mvd.jester.simulator.SchmidMottok.class);

        te.runTests();
    }
}
